
var React = require('react/addons');
var ThemeMixin = require('./theme-mixin');

module.exports = React.createClass({displayName: "exports",

  mixins: [ThemeMixin],

  getDefaultProps: function() {
    return {
      inverse: false,
      theme: 'light-gray',
      compact: false,
    }
  },

  renderChild: function(child) {
    var inverse = this.props.inverse || this.isInverse();
    var childProps = {
      inverse: this.props.inverse,
      compact: this.props.compact
    };
    var newChild = React.addons.cloneWithProps(child, childProps);
    return newChild;
  },

  render: function() {
    var classes = this.getThemeClasses();
    var navbarClass = 'flex flex-center' + classes.main;
    return (
      React.createElement("div", React.__spread({},  this.props, {className: navbarClass}), 
        React.Children.map(this.props.children, this.renderChild)
      )
    )
  }

});

